rgb2ycrcb: rgb2ycrcb_example.c File Reference

| rgb2ycrcb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions | Variables
rgb2ycrcb_example.c File Reference

## Overview

This file demonstrates how to use Xilinx RGB to YCrCb Color Space Converter (RGB2YCRCB) driver on Xilinx RGB to YCrCb Color Space Converter (RGB2YCRCB) core.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    7.00 adk   07/07/14 First release.

## Macros
#define | XRGB_DEVICE_ID XPAR_RGB2YCRCB_0_DEVICE_ID
| The following constants map to the XPAR parameters created in the xparameters.h file. More...

## Functions
int | Rgb2YCrCb_Update_Example (u16 DeviceId)
| RGB to YCrCb Color Space Converter Register Update Example. More...
int | main (void)
| Main function to call the Rgb2YCrCb example. More...

## Variables
XRgb2YCrCb | XRgbInstance
| Instance of the RGB2YCRCB core. More...

## Macro Definition Documentation

#define XRGB_DEVICE_ID XPAR_RGB2YCRCB_0_DEVICE_ID

The following constants map to the XPAR parameters created in the xparameters.h file.

They are defined here such that a user can easily change all the needed parameters in one place.

Referenced by main().

## Function Documentation

int main | ( | void |  | ) |

Main function to call the Rgb2YCrCb example.

Parameters

  None. |

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if it is unsuccessful

Note
  None.

References Rgb2YCrCb_Update_Example(), and XRGB_DEVICE_ID.

int Rgb2YCrCb_Update_Example | ( | u16 | DeviceId | ) |

RGB to YCrCb Color Space Converter Register Update Example.

This function provides an example of the process used to update the coefficient and offset registers in the RGB2YCrCb core. .

Parameters

  DeviceId | is the unique device id of the RGB2YCRCB core.

Returns
  - XST_SUCCESS if successful,
  - XST_FAILURE if it is un-successful

Note
  None.

References XRgb2YCrCb_Coef_Inputs::ACoef, XRgb2YCrCb_Coef_Inputs::BCoef, XRgb2YCrCb_Coef_Inputs::CCoef, XRgb2YCrCb_Coef_Inputs::DCoef, XRgb2YCrCb_CfgInitialize(), XRgb2YCrCb_Coefficient_Translation(), XRgb2YCrCb_Enable, XRgb2YCrCb_LookupConfig(), XRgb2YCrCb_RegUpdateDisable, XRgb2YCrCb_RegUpdateEnable, XRgb2YCrCb_Select_OutputRange(), XRgb2YCrCb_Select_Standard(), XRgb2YCrCb_SetActiveSize(), XRgb2YCrCb_SetCbMax(), XRgb2YCrCb_SetCbMin(), XRgb2YCrCb_SetCbOffset(), XRgb2YCrCb_SetCoefs(), XRgb2YCrCb_SetCrMax(), XRgb2YCrCb_SetCrMin(), XRgb2YCrCb_SetCrOffset(), XRgb2YCrCb_SetYMax(), XRgb2YCrCb_SetYMin(), XRgb2YCrCb_SetYOffset(), XRGB_DATA_WIDTH_8, XRGB_STANDARD_ITU_601_SD, and XRGB_TV_16_TO_240.

Referenced by main().

## Variable Documentation

XRgb2YCrCb XRgbInstance

Instance of the RGB2YCRCB core.